TexEnv File Reference
`#include <osg/GL>`
`#include <osg/StateAttribute>`
`#include <osg/Vec4>`

Go to the source code of this file.

## Classes

class | osg::TexEnv

## Namespaces

namespace | osg

## Macros

#define | OSG_TEXENV 1
#define | GL_MODULATE 0x2100
#define | GL_ADD 0x0104
#define | GL_MODULATE 0x2100
#define | GL_DECAL 0x2101

## Macro Definition Documentation

## GL_ADD

#define GL_ADD 0x0104

## GL_DECAL

#define GL_DECAL 0x2101

## GL_MODULATE [1/2]

#define GL_MODULATE 0x2100

## GL_MODULATE [2/2]

#define GL_MODULATE 0x2100

## OSG_TEXENV

#define OSG_TEXENV 1